//---------------------------------------------------------------------------

#ifndef MainFormUnitH
#define MainFormUnitH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Dialogs.hpp>
#include <Menus.hpp>
#include "CSPIN.h"
#include <ActnList.hpp>
#include <Mask.hpp>
//---------------------------------------------------------------------------
class TMainForm : public TForm
{
__published:	// IDE-managed Components
   TMemo *Memo1;
   TMainMenu *MainMenu;
   TOpenDialog *OpenDialog;
   TMenuItem *File1;
   TMenuItem *Open1;
   TMenuItem *Exit1;
   TLabel *Label1;
   TLabel *Label2;
   TLabel *Label3;
   TCheckBox *CPURating;
   TCheckBox *BuildFailed;
   TCheckBox *Timeouts;
   TCheckBox *Hits;
   TCheckBox *OtherErrors;
   TCheckBox *FoundXXFromYY;
   TCheckBox *JobBeginEnd;
   TCheckBox *THINKRestart;
   TMenuItem *RecentFiles1;
   TActionList *ActionList1;
   TAction *FileOpen;
   TAction *RecentFile;
   TAction *FileExit;
   TMaskEdit *LinesQty;
   TAction *RedrawMemo;
   TCheckBox *FastRedraw;
   void __fastcall FileExitExecute(TObject *Sender);
   void __fastcall FileOpenExecute(TObject *Sender);
   void __fastcall RecentFileExecute(TObject *Sender);
   void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
   void __fastcall RedrawMemoExecute(TObject *Sender);
private:	// User declarations
   TStrings* str;
   TStrings* recent;
   void rebuildRecent();
public:		// User declarations
   __fastcall TMainForm(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TMainForm *MainForm;
//---------------------------------------------------------------------------
#endif
